//dataset
var dataset = [20, 100,20,200,50,5];

//set the size of the svg
var svgWidth=500, svgHeight=300, barPadding=5;
//divide the svg graph by the number of data element
var barWidth=(svgWidth/ dataset.length);

//set the svg graph W and H
var svg = d3.select('svg')
	.attr("width",svgWidth)
	.attr("height", svgHeight);

//seclect all rectangel of the bar chart
var barChart = svg.selectAll("rect")
	.data(dataset)//get the data set
	.enter()// get data from above and do whatever next on each data items

	.append("rect")//creating a rectangular for each data item
	//for every element of dataset, put (svgHeight - d) into y
	.attr("y", function(d) {return (svgHeight - d);})
	
	.attr("height", function(d) {return (d);})
	.attr("width", barWidth - barPadding)
	.attr("transform", function(d,i) {
    	var translate = [barWidth * i,0];
    	return "translate("+translate +")";
  });
	